/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.c                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/04/26 12:44:55 by erey-bet          #+#    #+#             */
/*   Updated: 2023/05/05 11:47:28 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "cube3D.h"

int	main(int argc, char **argv)
{
	t_map	*map;

	if (argc != 2)
	{
		ft_eprintf("No argument");
		return (1);
	}
	map = map_parsing(argv[1]);
	if (!map)
		return (2);
	if (start_game(*map)) 
	{
		return (3);
	}
	return (0);
}
